Categories:
  - Security
License: GPL-3.0-only
WebSite: https://authpass.app/
SourceCode: https://github.com/authpass/authpass
IssueTracker: https://github.com/authpass/authpass/issues
Donate: https://github.com/sponsors/hpoul
Bitcoin: 3NcBacCmJbYWpwxj6rWzpM7sx48etMrPtc

AutoName: AuthPass Password Manager
Description: |-
    Easily and securely keep track of all your Passwords!

    AuthPass is a stand alone password manager with support
    for the popular Keepass (kdbx) format. Store your passwords,
    share across all your devices and easily find them whenever you need to login.

RepoType: git
Repo: https://github.com/authpass/authpass

Builds:
  - versionName: 1.1.0
    versionCode: 6
    commit: fdroid-v1.1.0
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.9.1+hotfix.2
    rm:
      - authpass/ios
      - authpass/macos
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release

  - versionName: 1.2.1
    versionCode: 113
    commit: v1.2.1
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.9.1+hotfix.2
    rm:
      - authpass/ios
      - authpass/macos
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release

  - versionName: 1.3.0
    versionCode: 115
    commit: v1.3.0
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.5
    rm:
      - authpass/ios
      - authpass/macos
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release

  - versionName: 1.4.0
    versionCode: 116
    commit: v1.4.0
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.12.13+hotfix.5
    rm:
      - authpass/ios
      - authpass/macos
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release

  - versionName: 1.5.1
    versionCode: 124
    commit: v1.5.1
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.15.17
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21

  - versionName: 1.5.5
    versionCode: 128
    commit: v1.5.5
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.15.17
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21

  - versionName: 1.5.5
    versionCode: 129
    commit: v1.5.5
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@v1.15.17
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21

  - versionName: 1.6.0
    versionCode: 133
    commit: v1.6.0
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@1.17.1
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21

  - versionName: 1.6.1
    versionCode: 134
    commit: v1.6.1
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@1.17.1
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21

  - versionName: 1.6.2
    versionCode: 135
    commit: v1.6.2
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    srclibs:
      - flutter@1.17.1
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.2
    versionCode: 140
    commit: v1.7.2
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.3
    versionCode: 141
    disable: fails to find flutter
    commit: v1.7.3
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.4
    versionCode: 143
    commit: fdroid-v1.7.4
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.5
    versionCode: 144
    commit: fdroid-v1.7.5
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.6
    versionCode: 145
    commit: fdroid-v1.7.6
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.7
    versionCode: 146
    commit: fdroid-v1.7.7
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.8
    versionCode: 147
    commit: fdroid-v1.7.8
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.9
    versionCode: 148
    commit: fdroid-v1.7.9
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.10
    versionCode: 149
    commit: fdroid-v1.7.10
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

  - versionName: 1.7.11
    versionCode: 150
    commit: fdroid-v1.7.11
    subdir: authpass
    submodules: true
    output: build/app/outputs/apk/fdroid/release/app-fdroid-release.apk
    rm:
      - authpass/ios
      - authpass/macos
      - deps/kdbx.dart/libargon2*
      - authpass/_tools/blackbox.go.linux
    build:
      - echo 'systemProp.design.codeux.ndkVersion=21.3.6528147' >> android/gradle.properties
      - mkdir tmp
      - DEPS=./tmp _tools/install_flutter.sh
      - tmp/flutter/bin/flutter config --no-analytics
      - tmp/flutter/bin/flutter build apk -t lib/env/fdroid.dart --flavor fdroid --release
    ndk: r21d

AutoUpdateMode: Version fdroid-v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://data.authpass.app/data/fdroid-version.txt|versionCode=(.*)|.|versionName=(.*)
CurrentVersion: 1.7.11
CurrentVersionCode: 150
